#!/usr/bin/perl -w

use Test;
use strict;

BEGIN { plan tests => 2 }

unless(chdir("t"))
{
	warn("Cannot chdir to t: $!\n");
	ok(0); # fail
	exit;
}

my $redir=">/dev/null";
if(exists($ENV{TEST_VERBOSE}) && $ENV{TEST_VERBOSE})
{
	$redir=">&2"; #  stdout -> stderr
}

system("./runtests $redir");
my $ret = ($? >> 8);
my $status=($ret==0);
ok($status);

system("./runfix $redir");

$ret = ($? >> 8);
$status=($ret==0);
ok($status);

